function altdata

% Adaptive filtering and change detection benchmark data
%
% ALTDATA
%
% The measurement error of one sensor for height of an aircraft
% based on barometric air pressure increases drastically for velocities
% around one Mach. It's might be convenient to detect variance
% increases so the influence of these data can be decreased.
% Data are rescaled

% Copyright Fredrik Gustafsson, Sigmoid AB
% $  Revision: 1.0, 08-Aug-2003  $
  
load altdata
y=hdiff(1:4:15608);

plot(y)
title('Barometric height residuals')
