void lms2(real_T *phi,real_T *th,real_T *eps,real_T *norm,real_T mu,int_T nstates,SimStruct *S)
{ 
  int_T i;
  real_T *temp = mxCalloc(1,8);
  InputRealPtrsType y = ssGetInputPortRealSignalPtrs(S,1);

  /*update epsilon*/
  temp = matrixmult(phi,1,nstates,th,1,temp);
  eps[0] = *y[0] - temp[0];
  
  /*calculate step-length*/
  temp = matrixmult(phi,1,nstates,phi,1,temp);
  norm[0] = 1/(mu/1000 + temp[0]);

  /*calculate th*/
  for (i=0; i<nstates; i++)
    th[i] = th[i] + phi[i]*mu*norm[0]*eps[0];
}
