close all
N=100;
u=randn(N,1);
e=randn(N,1);
TH=poly(0.5*ones(1,6))';
roots(TH);
poly(ans);
TH=[TH(2:7);1;1];
nnn=[6 2 1];
y=simchange([u e],nnn,[],TH);
plot(y)

dm=1;
sr=[2 10 1];
L=10;
str=['Function  Time'];


flops(0)
t0=clock;
threcad=adfilter([y u],nnn,1,'RLS',1,1,100*eye(nnn(1)+nnn(2)));
t1=etime(clock,t0);
str=str2mat(str,['adfilter   ',num2str(t1)]);

flops(0)
t0=clock;
[jhat,thseg,gt,ta,threc2]=detect2([y u],nnn,dm,sr,L);
t1=etime(clock,t0);
str=str2mat(str,['detect2    ',num2str(t1)]);

t0=clock;
%profile z2phi
[jhat,thseg1,gt,ta,threc1]=detect1([y u],nnn,dm,sr);
t1=etime(clock,t0);
str=str2mat(str,['detect1    ',num2str(t1)]);

%profile report
%profile done
plot([threcad'])
hold on
plot([threc1'])
%plot([threc2'])
hold off

t=(1:N)';
U=[t u];
Y=[t y];

t0=clock;
%threcad=adfilterx([y u],nnn,1,'RLS',1,1,100*eye(nnn(1)+nnn(2)));
t1=etime(clock,t0);
%str=str2mat(str,['adfilterx  ',num2str(t1)]);


t0=clock;
[jhat1x,thseg1x,gt,ta,threc1x]=detect1x([y u],nnn,dm,sr);
t1=etime(clock,t0);
str=str2mat(str,['detect1x   ',num2str(t1)]);

t0=clock;
%[jhat2x,thseg2x,gt,ta,threc2x]=detect2x([y u],nnn,dm,sr,L);
t=etime(clock,t0);
%str=str2mat(str,['detect2x   ',num2str(t1)]);

figure
plot(threcad')
hold on
plot(threc1x')
plot(thseg1x')
hold off


% mcc -l detect1x   % compile
flops(0)
t0=clock;
%[jhat,thseg,gt,ta,threc]=detect1x([y u],nnn,dm,sr);
t3=etime(clock,t0);
f3=flops;
%plot(threc')


disp(str)
