% demo_specgram

close all
disp('Demo of a chirp signal')
N=5000;
y=sin(2*pi*(1:N)'.^2./N);
figure(1)
specgram(y)
N=500;
y=sin(2*pi*(1:N)'.^2./N);
[th,lamhat]=adfilter(y,2,20); 
figure(2)
th2tfd(th,lamhat,y,64,[],1); 
pause

disp('Demo of a speech signal')
load speech.mat
y=fig1118;
%y=sign(y).*sqrt(abs(y));

[thff,lamff]=adfilter(y,2,0.99);

fbin=128;
tbin=128;
[zff,w,T]=th2tfd(thff,lamff,y,fbin,tbin);
figure(1)
imagesc(T,w,20*log10(abs(zff')));
colormap('gray')
xlabel('Time'), ylabel('Frequency'), title('RLS')

figure(2)
th2poles(thff);

