function pathplot(x,jhat)

% Plots the path described by the first two columns in x
% jhat is optional, which marks the events

if size(x,2)>size(x,1); x=x'; end

x1=x(:,1);
x2=x(:,2);
h1=plot(x1,x2,'-b');
set(h1,'LineWidth',1)
if nargin>1
  hold('on')
  h2=plot(x1(jhat),x2(jhat),'ob');
  set(h2,'LineWidth',1)
  hold('off')
end
axis('equal')
