function tpi

% Adaptive filtering and change detection benchmark data
%
% TPI
%
% Data of wheel velocities w [km/h] with time stamps t
% Problem 1: Remove noise from velocity
% Problem 2: Use noise for surface classification
% Problem 3: Vibration analysis of tire (resonance around 45 Hz)

% Copyright Fredrik Gustafsson, Sigmoid AB
% $  Revision: 1.0, 07-Aug-2003  $

help tpi

load tpi
omega=(0:length(w2)-1)/length(w2)*500;
plot(omega,abs(fft(w2)))
axis([20 100 0 1e3])