% Klassifisere segmenter via LDA.
%
% Her settes trening- og testsett sammen samt at verdiene 1 og 0 tilordnes
% henholdsvis sett med og uten FM. Resultatet er en kolonnevektor med
% nullere og enere som representerer semgmenter med og uten FM.
%
% Tr: trenningssett sammensatt av bde sett med og uten FM.
% Te: testsett.
% gruppe: kolonnevektor som angir hvilke rader i Tr som representerer FM 
% eller ikke. 
% Klasse: kolonnevektor med klassifiseringen av Te. 
%
% Laget av Stian F. Olsen (2010).
%
%


clear Tr;
clear Te;

trening_sett_FM = [trening_sett_FM_1;trening_sett_FM_2; trening_sett_FM_4]; 
trening_sett_ikkeFM = [trening_sett_ikkeFM_1;trening_sett_ikkeFM_2;trening_sett_ikkeFM_4; trening_sett_ikkeFM_5; trening_sett_ikkeFM_6; trening_sett_ikkeFM_7; trening_sett_ikkeFM_8];
test_sett_FM = test_sett_3;

gruppe=zeros(length(trening_sett_FM)+length(trening_sett_ikkeFM),1);
gruppe(1:length(trening_sett_FM))=1;

for i=1:length(trening_sett_FM)
    Tr(i,:)= trening_sett_FM(i,:);
end

for i=1:length(trening_sett_ikkeFM)
    Tr(i+length(trening_sett_FM),:)= trening_sett_ikkeFM(i,:);
end

for i=1:length(test_sett_FM)
    Te(i,:)= test_sett_FM(i,:);
end


Klasse = classify(Te,Tr,gruppe,'linear');


%0 = ikkeFM
%1 = FM