% Lese inn bilde (motiongram) som skal brukes i analyse.
%
% Tar inn nsket bilde for s  gjre det klart til videre analyse og
% eventuelt manipulering.
%
% mGram: det innleste motiongramet.
% partOfmGram: et tilpasset utsnitt av motiongramet.
%
% Laget av Stian F. Olsen (2010).
%
%

mGram = imread('P093_T03_matlab.jpg');  
%imfinfo('P093_T03_matlab.jpg')

% Sjekker om bildet er RGB (farger) eller grtoner. Dersom RGB, konverterer
% til grtoner
[x,y,z] = size(mGram);          
if(z==1)
    ;
else
    mGram = rgb2gray(mGram);
end

mGram = im2double(mGram);   

%mGram = im2bw(mGram);  

partOfmGram = mGram(1:240,1:1024);

figure(1)
subplot(2,1,1);imshow(mGram);       %vise bilde
title('Orig. bilde');

subplot(2,1,2);imshow(partOfmGram);  %vise del av bilde
title('Del av orig. bilde');

