% Estimere parametre for variable hentet ut av motiongram.
% Stian F. Olsen (2009).
%
%


p = 4;                      % Orden til modell.
metode = 'ff';              % Valg av metode:  'ff' (glemmefaktor), 'ng' (normalisert gradient),
                            % 'ug' (unormalisert gradient), 'kf' (Kalman filter).
lambda = 0.95;             % Glemmefaktor ved bruk av metode 'ff'.
%fFaktor = 1;                % Forsterkningsfaktor ved bruk av 'ng' eller 'ug'.
%kMatrise = R1;              % Kovariansmatrise ved bruka av 'kf', samme dim som p. 
metodeVariabel = lambda;    % Justeringsvariabel avhengig av valgt metode.

signal = Qmean; % Signalet som skal brukes.
motionParam = rarx(signal',p,metode,metodeVariabel); % RARX funksjon.