% Segmenter funnet av segm_mImage markeres p QoM-plot eller i motiongram. 
% 
% QoM: bevegelsesmengden til bevegelsesbildene.
% FM: liste med hvert segmenteringspunkt.
% mGram: innlastet motiongram.
% newMgram: motiongram som markeres med segmenteringslinjer.
%
% Laget av Stian F. Olsen (2010).
%
%

% Plotter QoM sammen med segmenteringsgrenser.
figure(1)
segmentplot(QoM,FM);
title('Signal med segmenteringslinjer');
ylabel('QoM'),xlabel('Sampel nummer');

% Markerer segmenteringsgrenser p motiongram.
figure(2)
newMgram = mGram;
for f = 1:sizeNewFM(2)
    newMgram(:,FM(f):FM(f)+5) = 1;
end

imshow(newMgram);
