function [jumphat,thseg,GT,ta,threc]=detect2x(z,nnn,dm,sr,L,lambda)

% [jumphat,thseg,GT,ta,threc]=detect1x(z,nnn,dm,sr,L,lambda)
% Turbo version of detect2 using simulink
%
% The only difference is that jumphat=ta 

if nargin<6 lambda=-1; end; 
if isempty(lambda) | lambda<0; lambda=1; noiseest=1; else noiseest=0; end;
if nargin<5 L=-1; end; 
if isempty(L) | L<0; L=10; end;
if nargin<4 sr=-1; end;   if isempty(sr) | sr<0,  sr=[1 10 0]; end
if nargin<3 dm=-1; end;   if isempty(dm) | dm<0,  dm=1; end
global ny nu lam
lam=lambda;
ny=1;
nu=1;
N=length(z);
y=z(:,1);
u=z(:,2);
t=(1:N)';
U=[t u];
Y=[t y];

global alarm gt threc


sim('detect2sim',[1 N])

jumphat=find(alarm==1);
ta=jumphat;
thseg=segm2par(threc([jumphat(:);N],:)',jumphat,N);
GT=gt;
