function s=cdnum2str(n);

% cdnum2str is the inverse of str2num which works for matrices
% in contrast to num2str.

% Copyright Fredrik Gustafsson, Sigmoid AB
% $  Revision: 1.0, 07-Aug-2003  $
  
[nr,nc]=size(n);

if nr>1 | nc>1
  s='[';
  for i=1:nr
    for j=1:nc
      s=[s,num2str(n(i,j)),','];
    end
    s(length(s))=';';
    s=[s,' '];
  end
  s(length(s)-1)=']';
else
  s=num2str(n);
end
