clc
clg
echo on
randn('seed',2)
u=randn(100,1);
e=randn(100,1);

%                 AR MODEL
%
% A first order AR model with two abrupt changes is studied

jumptimes=[40 70];
TH=[.5 -.8 .8];
nnn=1;
y=simchange(e,nnn,jumptimes,TH);
z=y;
[threc,jhat,thseg]=detectM(z,nnn);jhat

h1=cdfigure(1);
thplot(thseg',TH,jumptimes)

[threc,jhat,thseg,gt,ta]=detect2(z,nnn,1,[1 1 0.1],10);jhat
h2=cdfigure(2,1);
plot(gt(:,1))

pause
close([h1 h2])
echo off             
