clc
echo on
randn('seed',2)
u=randn(100,1);
e=randn(100,1);

%              ARX(2,2,1) MODEL
% 
% A second order ARX model with two abrupt changes is studied
jumptimes=[40 70];
TH=[1 1 1 1;1 1 2 1;1 .5 2 1]';
nnn=[2 2 1];
y=simchange([0.1*e u],nnn,jumptimes,TH);
z=[y u];
[threc,jhat,thseg]=detectM(z,nnn);jhat

h1=cdfigure(1);
plot(thseg')

[threc,jhat,thseg,gt,ta]=detect2([y u],nnn,1,[1 5 1],10);jhat
h2=cdfigure(2,1);
plot(gt(:,1))
pause
close([h1 h2])
echo off             
