% demo_sheep

echo on
clc
%       Belching sheep
%      ================

load sheep
z=[sheep(:,2) sheep(:,1)];
th=arx(z,[5 5 0]);
disp('VN = ')
1000*th(1,1)
[e,R]=resid(z,th);
N=length(e);
g=zeros(N,1);
lambda=0.97;
g=filter([1-lambda 0],[1 -lambda],e.^2);

h1=cdfigure(1);
subplot(211);
plot(1000*(1+sheep-2*[ones(N,1) zeros(N,1)]));
ax=axis;ax(2)=N;axis(ax);
title('Pressure and air volume')
xlabel('Sample number')
subplot(212);
plot(1000*g);
ax=axis;
ax(2)=N;
axis(ax);
title('Filtered model residual')
xlabel('Sample number')
pause
close(h1)

