function h=segplot(z,jumphat);

% Plots the signal and marks the segments
%
% segplot(z,jumphat);

% Copyright Fredrik Gustafsson, Sigmoid AB
% $  Revision: 1.0, 07-Aug-2003  $

jumphat=jumphat(:);
hold off
h1=plot(z);
hold on
dum=axis;
h2=plot([jumphat jumphat]',[dum(3)*ones(size(jumphat)) dum(4)*ones(size(jumphat))]','r-');
hold off
title('Signal and segmentation')
xlabel('Sample number')
if isempty(h2); 
  h=h1;
else
  h=[h1(:);h2(1)];
end

