function speech

% Adaptive filtering and change detection benchmark data
%
% SPEECH
%
% This speech data was recorded inside a car with fs=8 kHz.
% It has been analysed by Regine Andre-Obrecht (1988) and her
% results are also published in Basseville and Nikiforov (1993).
% The first data batch contains low-frequency noise from the car
% and the other is a prefiltered version.

% Copyright Fredrik Gustafsson, Sigmoid AB
% $  Revision: 1.0, 07-Aug-2003  $

help speech

load speech
h1=cdfigure(1);
subplot(211)
plot(fig1120)
title('Noisy speech signal')
subplot(212)
plot(fig1118)
title('Filtered speech signal')