function y=stirling(N);

% Computes an approximation to the factorial log(N!)
%
% N  Input integer (if non-integer, the gamma function is approximated)
% y  Approximation of log(N!)
% 

n=N+1;
y=0.5*log(2*pi)+(n-0.5).*log(n)-n;

% [y log(factorial(N))] % Test


