% Regne ut bevegelsesmengden (QoM) til motiongram.
%
% Benytter funksjonen areashade for  farge arealet under grafen. 
%
% QoM: vektor hvor hver kolonne inneholder bevegelsesmengden til hver
% kolonne med piksler i et motiongram.
% width: bredden til motiongram (antall piksler per rad).
% hight: hyden til motiongram (antall piksler per kolonne).
%
% Laget av Stian F. Olsen (2010).
%
%


%%

width = size(mGram(1,:));
hight = size(mGram(:,1));
QoM = zeros(1,width(2));

%%

for i = 1:width(2)
        QoM(i) = sum(mGram(:,i))/hight(1);
end

    
%%

figure(2)
plot(QoM,'k'), hold on
title('Bevegelsesmengde (QoM)');
areashade(1:width(2),QoM,0,'k')

