% Automatisk segmentering av signal fra estimerte parametre.
% Kjr enten rekursiv_param_est.m eller funk_segm.m frst.
% Laget av Stian F. Olsen (2009).
%
%
%%
sMet = thm1; % Resultat fra metode brukt. thm1 dersom RARX, segm dersom SEGMENT.
%sMet = segm;

%%
figure(2)
subplot(311), plot(signal),title('Originalt signal') 
subplot(312), plot(sMet(:,1)),title('Estimerte parametre med segmenteringslinjer')
%subplot(312), plot(sMet),title('Signal fra SEGMENT funksjon')
subplot(313), plot(signal),title('Originalt signal med segmenteringslinjer')


%%
%Her velges segmenteringspunktene og vline() tegner linjene.

k=size(sMet(:,1))-1;

for j=1:2:k
    if sMet(j+1,1) >= sMet(j,1)+.02
        vline(j,'r--')
    elseif sMet(j+1,1) <= sMet(j,1)-.02 
        vline(j,'r--')
    end
end
