% SEGMENT funksjonen benyttes her som et alternativ til RARX.
% Stian F. Olsen (2009).
%
%
%%

%[m,n] = size(abnormal(3).tab(:,1,4));
%zline = [abnormal(3).tab(:,1,4) ones(m,n)];
%s = segment(zline,[1 1 1],0.05);
%subplot(211), plot(abnormal(3).tab(:,1,4)),title('Sensordata')
%subplot(212), plot(s(:,2) ,'g')% distance
%title('SEGMENTED MODELS, blue: correlation, green: distance')

%%
s = 3;                      % Struktnummer (ROI) til data. abnormal 1-48, normal 1-198.
sensorSignal = 1;           % Sensorsignal nummer, 1-7, se data_info.txt for beskrivelse. 
sensorNr = 4;               % Nummer p sensor, 1-6, se data_info.txt for beskrivelse.
p = 4;                      % Orden til modell.
varians=[];                % Variansen til sty/input, estimeres dersom [] noe som ikke er gunstig.           
%%
sigType = abnormal;         % Valg av type signal, abnormal eller normal. 

%%
signal = sigType(s).tab(:,sensorSignal,sensorNr); % Signalet som skal brukes.

segm = segment(signal,p,varians); % SEGMENT funksjon.

%%
% Plot av resultatet. Originalt signal og estimerte parametre fra SEGMENT. 
% Kan plotte hver parameter individuelt ved  bruke: segm(:,1) for theta 1.

figure(1)
subplot(211), plot(signal),title('Sensordata')
subplot(212), plot(segm),title('Estimerte parametre')
legend('theta 1','theta 2','theta 3','theta 4')
