% Lagre bevegelsesbilder eller motiongram til disk.
%
% Lagring av motiongram utfres enkelt ved  bruke imwrite som er skrevet i
% siste kodelinje. 
% Viktig  velge navn p mappe (folderName) hvor bevegelsesbildene skal 
% lagres og vre klar over at mappen legges i "current directory" dersom 
% den ikke ligger der fra fr. Bildene blir nummerert og max antall er 
% 9999. Denne koden er spass enkel  lese at beskrivelse av variabelnavn 
% er overfldig.
%
% Laget av Stian F. Olsen (2010).
%
%

folderName = 'P096_';
outputFolder = fullfile(cd, folderName);

if ~exist(outputFolder, 'dir')
    mkdir(outputFolder);
end

numberOfFrames = sizeFrames(3)-1;
numberOfFramesWritten = 0;

directory = dir(folderName);
sizeDir = size(directory);

% sjekker om mappen inneholder filer for  kunne lagre filer med riktig
% nummerering.
if sizeDir(1) == 2
     fileNum = 0;
else
    number = directory(sizeDir(1)).name;
    number = number(1:4);
    fileNum = str2double(number);
end

for motionIm = 1 : numberOfFrames
    thisFrame = mImages(:,:,motionIm);
    outputBaseFileName = sprintf('%4.4d.png', motionIm + fileNum);
    outputFullFileName = fullfile(outputFolder, outputBaseFileName);
    imwrite(thisFrame, outputFullFileName, 'png');
    %progressIndication = sprintf('Wrote frame %4d of %d.', sbilde,numberOfFrames);
    %disp(progressIndication);
    numberOfFramesWritten = numberOfFramesWritten + 1;
end

progressIndication = sprintf('Skrev %d frames til mappe "%s"',numberOfFramesWritten, outputFolder);
disp(progressIndication);

% lagre nytt motiongram i mappe
%imwrite(motiongramH,'nytt_motiongram.jpg','jpg');  